Bug 180663 - update sysutils/procenv, Utility to show process environment
Summary: update sysutils/procenv, Utility to show process environment
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-19 22:30 UTC by jamesodhunt
Modified: 2013-07-22 21:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.93 KB, patch)
2013-07-19 22:30 UTC, jamesodhunt
no flags Details | Diff
procenv-0.25-take2.diff (1.60 KB, patch)
2013-07-21 20:05 UTC, jamesodhunt
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jamesodhunt 2013-07-19 22:30:00 UTC
Update procenv port to version 0.25 that fixes a bug where procenv would spin in a FreeBSD jail.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-07-19 22:30:08 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 jamesodhunt 2013-07-21 20:05:53 UTC
Simpler diff attached.

Note that procenv 0.25 really does need to use automake >= 1.12 (as specified by
BUILD_DEPENDS) due to its use of `AM_INIT_AUTOMAKE([serial-tests])' in configure.ac.

Kind regards,

James.
--
James Hunt
____________________________________
#upstart on freenode
http://upstart.ubuntu.com/cookbook
https://lists.ubuntu.com/mailman/listinfo/upstart-devel
Comment 3 Pawel Pekala freebsd_committer 2013-07-22 20:55:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 4 dfilter service freebsd_committer 2013-07-22 21:35:16 UTC
Author: pawel
Date: Mon Jul 22 20:35:03 2013
New Revision: 323498
URL: http://svnweb.freebsd.org/changeset/ports/323498

Log:
  - Update to version 0.25
  - Reword pkg-descr
  
  PR:		ports/180663
  Submitted by:	James Hunt <james.hunt@ubuntu.com> (maintainer)

Modified:
  head/sysutils/procenv/Makefile
  head/sysutils/procenv/distinfo
  head/sysutils/procenv/pkg-descr   (contents, props changed)

Modified: head/sysutils/procenv/Makefile
==============================================================================
--- head/sysutils/procenv/Makefile	Mon Jul 22 20:24:55 2013	(r323497)
+++ head/sysutils/procenv/Makefile	Mon Jul 22 20:35:03 2013	(r323498)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	procenv
-PORTVERSION=	0.24
+PORTVERSION=	0.25
 CATEGORIES=	sysutils
 MASTER_SITES=	https://launchpad.net/procenv/trunk/${PORTVERSION}/+download/ \
 		DEBIAN \

Modified: head/sysutils/procenv/distinfo
==============================================================================
--- head/sysutils/procenv/distinfo	Mon Jul 22 20:24:55 2013	(r323497)
+++ head/sysutils/procenv/distinfo	Mon Jul 22 20:35:03 2013	(r323498)
@@ -1,2 +1,2 @@
-SHA256 (procenv-0.24.tar.gz) = 576d1799c1e716c12b1ea11e6a658ec6fccb794c94013edc4f72d68e85e4b026
-SIZE (procenv-0.24.tar.gz) = 216260
+SHA256 (procenv-0.25.tar.gz) = 0fa10d3f85d9189cc904724134c5ae095735a5a409d7c1d247226cff11cd6505
+SIZE (procenv-0.25.tar.gz) = 217815

Modified: head/sysutils/procenv/pkg-descr
==============================================================================
--- head/sysutils/procenv/pkg-descr	Mon Jul 22 20:24:55 2013	(r323497)
+++ head/sysutils/procenv/pkg-descr	Mon Jul 22 20:35:03 2013	(r323498)
@@ -1,6 +1,6 @@
-This package contains command-line tool that displays as much detail about
-itself and its environment as possible.  It can be used as a test tool, to
-understand the type of environment a process runs in, and for comparing
-system environments.
+This package contains a command-line tool that displays as much detail
+about itself and its environment as possible.  It can be used as a test
+tool, to understand the type of environment a process runs in, and for
+comparing system environments.
 
 WWW: https://code.launchpad.net/procenv
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Pawel Pekala freebsd_committer 2013-07-22 21:37:20 UTC
State Changed
From-To: open->closed

Committed, with minor changes. USE_AUTOTOOLS=automake already makes sure 
port is build with automake-1.14. Thanks!